get
https://{domainname}/cloudAgentRestAPI/index.php/CloudAgent/CloudAgentAPI/availCampaigns/
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Deprecation UpdateThis API will be deprecated by 30th April 2025.
We recommend to start using the new version of the APIs:
This API is used to retrieve all the information about the campaign. The information which can be retrieved are the CampaignId, Campaign name, Username, Position (whether in a ready state or not), DID, and Campaign Type. Campaign types are Inbound, Preview, Chat, IVR, Progressive, and Predictive.
To access this API the following parameters MUST be passed.
| Parameter | Description |
|---|---|
| api_key* | Available in Cloudagent admin login |
| user_name* | CloudAgent user name |
NoteParameters with ‘*’ are mandatory parameters.
Possible responses
| Success response | "status": "success", "message": [ {"CampaignID": "XXXXX", "Campaign": "campaignname", "XXXXXX", "UserName": "username", "XXXXXX", "Position": "state", "DID": "9140XXXXX", "CampaignType": "campaignType" |
| Invalid apikey/username | "campaign": {}, "code": "401", "message": "User Does not Exists.", "status": "Error" |
Further InsightsBy default, the domain name is https://in1-ccaas-api.ozonetel.com. Please refer here to change based on the need.
